# Parse Webpage

### Prerequisites

Requires a user auth token. See the [API Auth](/api/api-setup-text.md) section.

### Parsing Data

Requires 1 parameter: `url`

Extracts text from the given webpage.

```typescript
import mindplug from "@/src/mindplugAPI"; // base instance

mindplug.post("/smart/parseWeb", {
    url: "https://mindplug.io"
});
```

Return a text string of all the content on the webpage.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.mindplug.io/api/parse-webpage.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
